Loading...
Searching...
No Matches
is.c File Reference

GIS Library - Tests for file existence. More...

`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
Include dependency graph for is.c:

Go to the source code of this file.

## Functions

int | G_is_gisbase (const char *path)
| Test if specified directory is GISBASE.
int | G_is_location (const char *path)
| Test if specified directory is location.
int | G_is_mapset (const char *path)
| Test if specified directory is mapset.

## Detailed Description

GIS Library - Tests for file existence.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2001-2014

Definition in file is.c.

## Function Documentation

## G_is_gisbase()

int G_is_gisbase | ( | const char * | path | ) |

Test if specified directory is GISBASE.

Parameters

  [in] | path | Path to directory

Returns
  1 The directory is GISBASE
  0 The directory is not GISBASE

Definition at line 49 of file is.c.

## G_is_location()

int G_is_location | ( | const char * | path | ) |

Test if specified directory is location.

Parameters

  [in] | path | Path to directory

Returns
  1 The directory is location
  0 The directory is not location

Definition at line 61 of file is.c.

## G_is_mapset()

int G_is_mapset | ( | const char * | path | ) |

Test if specified directory is mapset.

Parameters

  [in] | path | Path to directory

Returns
  1 The directory is mapset
  0 The directory is not mapset

Definition at line 73 of file is.c.